Skip to content
Navigation

List project users

Get all users and optional invitations for a project

GET
https://api.testandaccept.com/api/rest/projects/{projectId}/users

Authorization

  • bearerAuth
    HTTP Bearer (tnda_ token)
    required

Path parameters

  • projectId
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Query parameters

  • includeInvitations
    optional
    string

Returns

200

Successful response

JSON
  • users
    array of
    object
    required
    • userId
      string
      required
    • email
      required

      Any of the following:

      • string
      • null
    • firstName
      required

      Any of the following:

      • string
      • null
    • lastName
      required

      Any of the following:

      • string
      • null
    • imageUrl
      required

      Any of the following:

      • string
      • null
    • accessLevel
      owner
      or
      editor
      or
      approver
      or
      viewer
      or
      follower
      required
    • grantedAt
      string
      required
    • grantedBy
      string
      required
    • expiresAt
      required

      Any of the following:

      • string
      • null
  • totalUsers
    number
    required
  • invitations
    optional
    array of
    object
    • id
      string
      required
      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
    • email
      string
      required
    • accessLevel
      owner
      or
      editor
      or
      approver
      or
      viewer
      or
      follower
      required
    • status
      pending
      or
      accepted
      or
      declined
      or
      expired
      required
    • invitedBy
      string
      required
    • invitedAt
      string
      required
    • expiresAt
      string
      required
    • acceptedAt
      required

      Any of the following:

      • string
      • null
    • acceptedBy
      required

      Any of the following:

      • string
      • null
  • totalInvitations
    optional
    number

400

Invalid input data
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

401

Authorization not provided
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

403

Insufficient access
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

404

Not found
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

500

Internal server error
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

Type to search…

↑↓ navigate↵ selectEsc close